image: debian/bullseye
packages:
  - rust
  - cargo
  - openssl-dev
  - rust-clippy
sources:
  - https://git.e3t.cc/~core/trifid
tasks:
  - check: |
      cd /home/build/trifid/tfclient
      cargo check --locked
      cargo clippy --locked